﻿.widget-treenew.categories-tree {
  top: 56px;
}

.widget-treenew.components-tree {
  top: 220px;
}

.popup-pane .widget-treenew { margin: 0; }

.popup-content .widget-treenew {
  position: unset;
}

.popup-content .popup-tree-pane .widget-treenew .tree {
  position: absolute;
  left: 0;
  top: 90px;
  right: 0;
  bottom: 0;
}

.popup-content .tree-position-a .widget-treenew {
  height: 200px;
  position: relative;
}

.popup-content .tree-position-a .widget-treenew .tree {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
}

.widget-treenew .tree {
  overflow: auto;
}

.widget-treenew .nodes-preloader {
  display: none;
}

.widget-treenew .node.expanded > .nodes-preloader,
.widget-treenew .node.expand-on-search > .nodes-preloader {
  display: block;
}

.widget-treenew .preload-node {
  position: relative;
  background-color: rgba(224, 224, 224, 1);
  border-radius: 4px;
  margin: 2px;
  overflow: hidden;
  animation: preloadOpacity 2s linear infinite;
}

@keyframes preloadOpacity {
  0% {
    opacity: 1;
  }
  50% {
    opacity: .5;
  }
  100% {
    opacity: 1;
  }
}

.widget-treenew .preload-node:before  {
  content: '';
  width: 60px;
  height: 40px;
  position: absolute;
  left: -19%;
  top: 50%;
  transform: translateY(-50%) skewX(-30deg);
  background: linear-gradient(90deg, rgba(255,255,255,0) 0%, #FFFFFF 50%, rgba(255,255,255,0) 100%);
}

.widget-treenew .preload-node.animate:before {
  animation: nodeLoading 2s linear infinite;
}

@keyframes nodeLoading {
  0% {
    left: -19%;
  }
  100% {
    left: 101%;
  }
}

.widget-treenew .preload-node:after {
  content: '';
}

.widget-treenew .tree-search {
  position: relative;
  height: 30px;
  overflow: hidden;
}

.widget-treenew .tree-search input {
  height: 100%;
  padding-left: 25px;
}

.widget-treenew .tree-search.in-process input {
  padding-right: 25px;
}

.widget-treenew .tree-search .search-icon {
  position: absolute;
  top: 5px;
  display: inline-block;
  width: 20px;
  height: 20px;
  background-size: contain, 0;
  background-repeat: no-repeat;
  background-position: center;
  cursor: pointer;
}

.widget-treenew .tree-search .search-icon:hover {
  background-size: 0, contain;
}

.widget-treenew .tree-search .search-loupe {
  left: 2px;
}

.widget-treenew .tree-search .search-clear {
  right: -25px;
  transition: right .3s ease;
}

.widget-treenew .tree-search.in-process .search-clear {
  right: 5px;
}

.widget-treenew .hidden-search {
  display: none !important;
}

.widget-treenew .node .preload-node { margin-left: 50px; }
.widget-treenew .node.level-2 .preload-node { margin-left: 70px; }
.widget-treenew .node.level-3 .preload-node { margin-left: 90px; }
.widget-treenew .node.level-4 .preload-node { margin-left: 110px; }
.widget-treenew .node.level-5 .preload-node { margin-left: 130px; }
.widget-treenew .node.level-6 .preload-node { margin-left: 150px; }
.widget-treenew .node.level-7 .preload-node { margin-left: 170px; }
.widget-treenew .node.level-8 .preload-node { margin-left: 190px; }
.widget-treenew .node.level-9 .preload-node { margin-left: 210px; }
.widget-treenew .node.level-10 .preload-node { margin-left: 230px; }
.widget-treenew .node.level-11 .preload-node { margin-left: 250px; }
.widget-treenew .node.level-12 .preload-node { margin-left: 270px; }
.widget-treenew .node.level-13 .preload-node { margin-left: 290px; }
.widget-treenew .node.level-14 .preload-node { margin-left: 310px; }
.widget-treenew .node.level-15 .preload-node { margin-left: 330px; }
.widget-treenew .node.level-16 .preload-node { margin-left: 350px; }

.widget-treenew .node {
  cursor: default;
}

.widget-treenew .node .toggle {
  position: absolute;
  left: 6px;
  top: 1px;
  width: 20px;
  height: 20px;
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/dropdown _arrow_right.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/dropdown _arrow_down.svg?stamp=240311&icon_color=%23404040");
  background-size: contain, 0;
  background-position: center;
  background-repeat: no-repeat;
}

.widget-treenew .node.expanded > .node-title .toggle,
.widget-treenew .node.expand-on-search > .node-title .toggle {
  background-size: 0, contain;
}

.widget-treenew .node .icon {
  display: inline-block;
  width: 20px;
  height: 20px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain, 0, 0;
}

.widget-treenew.components-tree .node > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/dir.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/dir.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/dir.svg?stamp=240311&icon_color=%23404040");
}

.widget-treenew .node.type-file > .node-title .icon,
.widget-treenew .node.type-1 > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/file.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/file.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/file.svg?stamp=240311&icon_color=%23404040");
}

.widget-treenew .node > .node-title .icon,
.widget-treenew .node.has-child > .node-title .icon,
.widget-treenew .node.type-dir > .node-title .icon,
.widget-treenew .node.type-2  >.node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/dir.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/dir.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/dir.svg?stamp=240311&icon_color=%23404040");
}

.widget-treenew .node .node-title .name {
  display: inline-block;
  vertical-align: top;
  white-space: nowrap;
  color: #13344D;
}

.widget-treenew .node .node-title .node-tags {
  display: inline-block;
  vertical-align: top;
  margin-left: 10px;
}

.widget-treenew .node .node-title .node-tags .node-tag {
  display: inline-block;
  vertical-align: top;
  margin-left: 5px;
  color: #81878F;
}

.widget-treenew .node.expanded > .nodes,
.widget-treenew .node.expand-on-search > .nodes {
  display: block;
}

.widget-treenew .nodes {
  display: none;
}

.widget-treenew .node .node-title {
  display: block;
  padding-left: 26px;
  height: 22px;
  line-height: 22px;
  position: relative;
  white-space: nowrap;
  font-size: 12px;
}

.widget-treenew .node .node-title:hover {
  background-color: #F0F5FA;
}

.widget-treenew .node.menu-opened > .node-title {
  background-color: #F9F9F9;
}

.widget-treenew .node.selected > .node-title {
  background-color: rgba(21, 141, 220, 0.2);
}

.widget-treenew .node .node-title:hover .name,
.widget-treenew .node.selected > .node-title > .name {
  color: #13344D;
}

.widget-treenew .node .node-title:hover .icon,
.widget-treenew .node.selected > .node-title > .icon {
  background-size: 0, contain, 0;
}

.widget-treenew .node.level-2 .node-title { padding-left: 44px; }
.widget-treenew .node.level-3 .node-title { padding-left: 64px; }
.widget-treenew .node.level-4 .node-title { padding-left: 84px; }
.widget-treenew .node.level-5 .node-title { padding-left: 104px; }
.widget-treenew .node.level-6 .node-title { padding-left: 124px; }
.widget-treenew .node.level-7 .node-title { padding-left: 144px; }
.widget-treenew .node.level-8 .node-title { padding-left: 164px; }
.widget-treenew .node.level-9 .node-title { padding-left: 184px; }
.widget-treenew .node.level-10 .node-title { padding-left: 204px; }
.widget-treenew .node.level-11 .node-title { padding-left: 224px; }

.widget-treenew .node.level-2 .node-title .toggle { left: 24px; }
.widget-treenew .node.level-3 .node-title .toggle { left: 44px; }
.widget-treenew .node.level-4 .node-title .toggle { left: 64px; }
.widget-treenew .node.level-5 .node-title .toggle { left: 84px; }
.widget-treenew .node.level-6 .node-title .toggle { left: 104px; }
.widget-treenew .node.level-7 .node-title .toggle { left: 124px; }
.widget-treenew .node.level-8 .node-title .toggle { left: 144px; }
.widget-treenew .node.level-9 .node-title .toggle { left: 164px; }
.widget-treenew .node.level-10 .node-title .toggle { left: 184px; }
.widget-treenew .node.level-11 .node-title .toggle { left: 204px; }

.widget-treenew .node.level-2 {
  /*padding-left: 20px;*/
}

.widget-treenew .node.has-child {
  /* padding: 0; */
}

/* node actions */
.widget-treenew .node .node-title .node-commands {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 10px;
  display: flex;
  align-items: center;
}

.widget-treenew .node .node-title .node-command {
  width: 20px;
  height: 20px;
  background-size: 16px, 0;
  background-position: center;
  background-repeat: no-repeat;
  margin-right: 5px;
}

.widget-treenew .node .node-title .node-command:last-child { margin-right: 0; }

.widget-treenew .node .node-title .node-command.appear {
  opacity: 0;
  transition: opacity .2s ease;
}

.widget-treenew .node .node-title:hover .node-command.appear { opacity: 1; }
.widget-treenew .node .node-title .node-command:hover { background-size: 0, 16px; }
.widget-treenew .node .node-title .node-command.pointer { cursor: pointer; }

.widget-treenew .node.content-type-css > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/css.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/css.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/css.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew .node.content-type-js > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/js.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/js.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/js.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew .node.content-type-sql > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/sql.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/sql.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/sql.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew .node.content-type-workflow > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/workflow.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/workflow.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/workflow.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew .node.content-type-pages > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/pages.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/pages.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/pages.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew .node.content-type-contexts > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/contexts.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/contexts.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/contexts.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew .node.content-type-context > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/context.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/context.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/context.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew .node.content-type-sketch > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/sketch.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/sketch.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/sketch.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew .node.content-type-datamodel > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/datamodel.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/datamodel.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/datamodel.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew .node.content-type-user > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/user.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/user.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/user.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew .node.content-type-png > .node-title .icon,
.widget-treenew .node.content-type-svg > .node-title .icon,
.widget-treenew .node.content-type-jpeg > .node-title .icon,
.widget-treenew .node.content-type-gif > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/image.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/image.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/image.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew .node.content-type-resources  > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/resources.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/resources.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/resources.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew .node.content-type-zip  > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/zip.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/zip.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/zip.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew .node.content-type-log  > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/log.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/log.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/log.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew.components-tree .node.type-2 > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/workflow.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/workflow.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/workflow.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew.components-tree .node.type-4 > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/gantt.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/gantt.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/gantt.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew.components-tree .node.type-5 > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/package.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/package.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/package.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew.components-tree .node.type-6 > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/print.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/print.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/print.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew.components-tree .node.type-8 > .node-title .icon {
  background-image: url("/_content/components/efficiency.widgets/widgets/tree/media/report.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/report.svg?stamp=240311&icon_color=%23404040"),
                    url("/_content/components/efficiency.widgets/widgets/tree/media/report.svg?stamp=240311&icon_color=%2381878F");
}

.widget-treenew-navigation .field.widget.widget-treenew {
  position: absolute;
  top: 0;
}

.widget-treenew-navigation-b .field.widget.widget-treenew {
  position: absolute;
  top: 0;
}

/* node styles */
.widget-treenew .node.bold > .node-title > .name {
  font-weight: bold;
}

.widget-treenew .node.italic > .node-title > .name {
  font-style: italic;
}

.widget-treenew .node.underline > .node-title > .name {
  text-decoration: underline;
}

.widget-treenew .node.uppercase > .node-title > .name {
  text-transform: uppercase;
}

.widget-treenew .node.red > .node-title > .name {
  color: red;
}

.widget-treenew .node.yellow > .node-title > .name {
  color: yellow;
}

.widget-treenew .node.blue > .node-title > .name {
  color: blue;
}

.widget-treenew .node.green > .node-title > .name {
  color: green;
}

.widget-treenew .node.gray > .node-title > .name {
  color: #DDD;
}